%define	upstream_name	 Params-Check
%define upstream_version 0.38

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    A generic input parsing/checking mechanism
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/K/KA/KANE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Test::More)
BuildRequires: perl(Locale::Maketext::Simple)
BuildArch:  noarch

%description
Params::Check is a generic input parsing/checking mechanism.

It allows you to validate input via a template. The only requirement is that
the arguments must be named.

Params::Check can do the following things for you:
* Convert all keys to lowercase
* Check if all required arguments have been provided
* Set arguments that have not been provided to the default
* Weed out arguments that are not supported and warn about them to the user
* Validate the arguments given by the user based on strings, regexes, lists or
  even subroutines
* Enforce type integrity if required

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%make_install

%check
make test

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Params
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.380.0-9.mga8
+ Revision: 1496335
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.380.0-8.mga7
+ Revision: 1270303
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.380.0-7.mga6
+ Revision: 1031632
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.380.0-6.mga6
+ Revision: 941954
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.380.0-5.mga5
+ Revision: 747989
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.380.0-4.mga5
+ Revision: 685880
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.380.0-3.mga5
+ Revision: 588006
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 0.380.0-2.mga4
+ Revision: 529481
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 0.380.0-1.mga4
+ Revision: 451912
- update to 0.38

* Wed Mar 27 2013 jquelin <jquelin> 0.360.0-5.mga3
+ Revision: 405516
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.360.0-4.mga3
+ Revision: 371469
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.360.0-3.mga3
+ Revision: 315537
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 0.360.0-2.mga3
+ Revision: 284596
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.360.0-1.mga3
+ Revision: 254138
- update to 0.36

* Fri Nov 04 2011 jquelin <jquelin> 0.320.0-2.mga2
+ Revision: 162839
- take priority over module bundled with perl 5.14.2
- update to 0.32
+ kharec <kharec>
- new version

* Fri Feb 18 2011 jquelin <jquelin> 0.280.0-2.mga1
+ Revision: 53656
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.280.0-1.mga1
+ Revision: 32310
- mageia rebuild
- imported package perl-Params-Check


* Sat Jan 08 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.280.0-1mdv2011.0
+ Revision: 630634
- update to new version 0.28

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.260.0-1mdv2010.0
+ Revision: 404281
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.26-4mdv2009.0
+ Revision: 258189
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.26-3mdv2009.0
+ Revision: 246264
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.26-1mdv2008.1
+ Revision: 136330
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.26-1mdv2007.0
+ Revision: 133694
- new version

* Mon Jul 10 2006 Emmanuel Andry <eandry@mandriva.org> 0.25-1mdv2007.0
- New release 0.25

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdk
- New release 0.24

* Sat Oct 01 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.23-2mdk
- Buildrequires fix

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdk
- first mdk release

